r19376 - in /trunk/libpdf-api2-perl/debian: changelog postinst prerm

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Sun May 4 16:48:16 UTC 2008


Author: dmn
Date: Sun May  4 16:48:15 2008
New Revision: 19376

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=19376
Log:
* fonts directory vs. symlink
  + add debian/postinst that converts fonts/ dir to a symlink to the fonts
    provided by ttf-dejavu
  + also add debian/prerm reverting the symlink to a directory when
    downgrading to a version prior to 0.66-1
  Closes: #476242 -- Upgrades from Etch make fonts disappear
  + medium urgency for serious bug fix

Added:
    trunk/libpdf-api2-perl/debian/postinst
    trunk/libpdf-api2-perl/debian/prerm
Modified:
    trunk/libpdf-api2-perl/debian/changelog

Modified: trunk/libpdf-api2-perl/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libpdf-api2-perl/debian/changelog?rev=19376&op=diff
==============================================================================
--- trunk/libpdf-api2-perl/debian/changelog (original)
+++ trunk/libpdf-api2-perl/debian/changelog Sun May  4 16:48:15 2008
@@ -1,6 +1,16 @@
-libpdf-api2-perl (0.69-2) UNRELEASED; urgency=low
-
+libpdf-api2-perl (0.69-2) UNRELEASED; urgency=medium
+
+  [ David Paleino ]
   * debian/control: removed myself from Uploaders
+
+  [ Damyan Ivanov ]
+  * fonts directory vs. symlink
+    + add debian/postinst that converts fonts/ dir to a symlink to the fonts
+      provided by ttf-dejavu
+    + also add debian/prerm reverting the symlink to a directory when
+      downgrading to a version prior to 0.66-1
+    Closes: #476242 -- Upgrades from Etch make fonts disappear
+    + medium urgency for serious bug fix
 
  -- David Paleino <d.paleino at gmail.com>  Fri, 22 Feb 2008 12:53:58 +0100
 

Added: trunk/libpdf-api2-perl/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libpdf-api2-perl/debian/postinst?rev=19376&op=file
==============================================================================
--- trunk/libpdf-api2-perl/debian/postinst (added)
+++ trunk/libpdf-api2-perl/debian/postinst Sun May  4 16:48:15 2008
@@ -1,0 +1,52 @@
+#!/bin/sh
+# postinst script for libpdf-api2-perl
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+ROOT="/usr/share/perl5/PDF/API2"
+FONTS="/usr/share/fonts/truetype/ttf-dejavu"
+
+case "$1" in
+    configure)
+    # In 0.66-1 the fonts dir is replaced by a symlink
+    # see #476242
+    if [ -d "$ROOT/fonts/" ]; then
+        if rmdir "$ROOT/fonts"; then
+            ln -v -s ../../../fonts/truetype/ttf-dejavu "$ROOT/fonts"
+        else
+            echo "WARNING: $ROOT/fonts not empty. Keeping intact"
+        fi
+    fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: trunk/libpdf-api2-perl/debian/prerm
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libpdf-api2-perl/debian/prerm?rev=19376&op=file
==============================================================================
--- trunk/libpdf-api2-perl/debian/prerm (added)
+++ trunk/libpdf-api2-perl/debian/prerm Sun May  4 16:48:15 2008
@@ -1,0 +1,53 @@
+#!/bin/sh
+# prerm script for libpdf-api2-perl
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    upgrade)
+    # when downgrading to a version prior 0.66-1, we should replace the fonts
+    # symlink back with a directory. See #476032
+    if dpkg --compare-versions "$2" -lt "0.66-1~" \
+        && [ -L "$ROOT/fonts" ];
+    then
+        echo "Detected downgrade to a version prior 0.66-1."
+        echo "Replacing fonts symlink with a directory."
+        rm -v "$ROOT/fonts"
+        mkdir -v "$ROOT/fonts"
+    fi
+    ;;
+
+    remove|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+




More information about the Pkg-perl-cvs-commits mailing list